Core - Bug # 57408

Status: New Priority: Should have
Author: André Haehnel Category:

Created: 2014-03-28 Assigned To:

Updated: 2015-07-17 Due date:

TYPO3 Version:

PHP Version:

Complexity:

Is Regression:
Sprint Focus:

Subject: Call of the meta extractor services for local storage possible

Description

It is currently not possible meta extractor services to be used for remote storages.
The indexer retrieves the services only for local file systems.

Related issues:
duplicated by Core - Bug # 56726: MetaDataExtraction isn't triggerd after fil... New 2014-03-10

History

#1 - 2014-03-28 16:42 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/28941

#2 - 2014-03-28 16:54 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28941

#3 - 2014-04-08 14:05 - Christian Weiske

The problem is that TYPOS relies on the sys_file_metadata data (width and height) when rendering images that do not need to be scaled.

This happens with content element "images only" with images < 100x100.

Deferred meta data extraction via a scheduler is not enough here; we need the correct sizes in the metadata record because typo3 renders width=0
and height=0 in HTML otherwise.

So our solution is to immediately fetch the file's meta data instead of waiting for the scheduler to run at night.

#4 - 2014-04-08 14:15 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28941

#5 - 2014-04-17 15:24 - Gerrit Code Review
Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/28941

#6 - 2014-04-17 15:29 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28941

#7 - 2014-04-17 15:49 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28941

#8 - 2015-07-17 15:55 - Anja Leichsenring
- Project changed from Core API to Core

- Target version setto 7 LTS
